Skip to main content
GET
/
api
/
v1
/
organizations
/
{organizationID}
Get organization
curl --request GET \
  --url https://identity.nks.europe-west4.nscale.com/api/v1/organizations/{organizationID} \
  --header 'Authorization: Bearer <token>'
{
  "metadata": {
    "id": "a142f641-7fd6-4ab9-a875-344c7ebadc53",
    "name": "acme-corp",
    "creationTime": "2024-05-31T14:11:00Z",
    "provisioningStatus": "provisioned",
    "healthStatus": "healthy"
  },
  "spec": {
    "organizationType": "domain",
    "domain": "acme.corp",
    "providerID": "b6ec241d-e3b4-4afc-a7aa-500fcb650d8e"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nscale.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Operation requires OAuth 2.0 bearer token authentication.

Path Parameters

organizationID
string
required

An organization ID.

Response

An organization.

An organization when read.

metadata
object
required

Metadata required by all resource reads.

spec
object
required

An organization.